Update Definition
UpdateDefinition updates the specified Definition with the request body.
Authorizations
Path Parameters
Body
DefinitionUpdate is the payload used to update an existing Definition.
Accept indicates which content types, expressed as MIME types, that this definition can accept. This value is analogous to the Accept HTTP header, as defined in RFC 7231, section 5.3.2, except each type is defined in a separate array element, rather than as a comma-separated list.
This does not represent the content type of the schema body itself, but the data which conforms to this
definition. For example, an API may respond in JSON or YAML, but the schema may be a YAML-formatted JSON
Schema. In this case, the Definition's accept field could be ["application/json", "text/yaml"] and
schema.contentType will be application/schema+yaml.
Response
OK
Definition describes a single definition of a type which is used by the Connector. The schema language used is dependent on the media-type of the Definition, for example JSON Schema is used for media-types application/json.
Accept indicates which content types, expressed as MIME types, that this definition can accept. This value is analogous to the Accept HTTP header, as defined in RFC 7231, section 5.3.2, except each type is defined in a separate array element, rather than as a comma-separated list.
This does not represent the content type of the schema body itself, but the data which conforms to this
definition. For example, an API may respond in JSON or YAML, but the schema may be a YAML-formatted JSON
Schema. In this case, the Definition's accept field could be ["application/json", "text/yaml"] and
schema.contentType will be application/schema+yaml.
URL is the location of the actual Schema definition for this Definition entity.
The structure of this URL will be consistent across all media types for each connection, for example:
https://platform.versori.com/api/schemas/v1/o/{organisation_id}/{connector_id}/{connector_version}/{definition_slug}.{media_type_ext}